## org.eclipse.emf.mapping.impl
Class MappingPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.mapping.impl.MappingPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, MappingPackage

    public class MappingPackageImpl

extends EPackageImpl
implements MappingPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.mapping.MappingPackage
`MappingPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.mapping.MappingPackage

`COMPLEX_TYPE_CONVERTER, COMPLEX_TYPE_CONVERTER__HELPED_OBJECT, COMPLEX_TYPE_CONVERTER__IN2OUT, COMPLEX_TYPE_CONVERTER__MAPPER, COMPLEX_TYPE_CONVERTER__NESTED, COMPLEX_TYPE_CONVERTER__NESTED_IN, COMPLEX_TYPE_CONVERTER__OUT2IN, COMPLEX_TYPE_CONVERTER_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FUNCTION_NAME_PAIR, FUNCTION_NAME_PAIR__HELPED_OBJECT, FUNCTION_NAME_PAIR__IN2OUT, FUNCTION_NAME_PAIR__MAPPER, FUNCTION_NAME_PAIR__NESTED, FUNCTION_NAME_PAIR__NESTED_IN, FUNCTION_NAME_PAIR__OUT2IN, FUNCTION_NAME_PAIR_FEATURE_COUNT, FUNCTION_PAIR, FUNCTION_PAIR__HELPED_OBJECT, FUNCTION_PAIR__IN2OUT, FUNCTION_PAIR__MAPPER, FUNCTION_PAIR__NESTED, FUNCTION_PAIR__NESTED_IN, FUNCTION_PAIR__OUT2IN, FUNCTION_PAIR_FEATURE_COUNT, MAPPING, MAPPING__HELPER, MAPPING__INPUTS, MAPPING__NESTED, MAPPING__NESTED_IN, MAPPING__OUTPUTS, MAPPING__TYPE_MAPPING, MAPPING_FEATURE_COUNT, MAPPING_HELPER, MAPPING_HELPER__HELPED_OBJECT, MAPPING_HELPER__MAPPER, MAPPING_HELPER__NESTED, MAPPING_HELPER__NESTED_IN, MAPPING_HELPER_FEATURE_COUNT, MAPPING_ROOT, MAPPING_ROOT__COMMAND_STACK, MAPPING_ROOT__HELPER, MAPPING_ROOT__INPUTS, MAPPING_ROOT__NESTED, MAPPING_ROOT__NESTED_IN, MAPPING_ROOT__OUTPUT_READ_ONLY, MAPPING_ROOT__OUTPUTS, MAPPING_ROOT__TOP_TO_BOTTOM, MAPPING_ROOT__TYPE_MAPPING, MAPPING_ROOT_FEATURE_COUNT, MAPPING_STRATEGY, MAPPING_STRATEGY__HELPED_OBJECT, MAPPING_STRATEGY__MAPPER, MAPPING_STRATEGY__NESTED, MAPPING_STRATEGY__NESTED_IN, MAPPING_STRATEGY_FEATURE_COUNT, TYPE_CONVERTER, TYPE_CONVERTER__HELPED_OBJECT, TYPE_CONVERTER__MAPPER, TYPE_CONVERTER__NESTED, TYPE_CONVERTER__NESTED_IN, TYPE_CONVERTER_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getComplexTypeConverter_In2out()`
`EReference` `getComplexTypeConverter_Out2in()`
`EClass` `getComplexTypeConverter()`
`EAttribute` `getFunctionNamePair_In2out()`
`EAttribute` `getFunctionNamePair_Out2in()`
`EClass` `getFunctionNamePair()`
`EReference` `getFunctionPair_In2out()`
`EReference` `getFunctionPair_Out2in()`
`EClass` `getFunctionPair()`
`EReference` `getMapping_Helper()`
`EReference` `getMapping_Inputs()`
`EReference` `getMapping_Nested()`
`EReference` `getMapping_NestedIn()`
`EReference` `getMapping_Outputs()`
`EReference` `getMapping_TypeMapping()`
`EClass` `getMapping()`
`MappingFactory` `getMappingFactory()`
`EReference` `getMappingHelper_HelpedObject()`
`EReference` `getMappingHelper_Mapper()`
`EReference` `getMappingHelper_Nested()`
`EReference` `getMappingHelper_NestedIn()`
`EClass` `getMappingHelper()`
`EAttribute` `getMappingRoot_CommandStack()`
`EAttribute` `getMappingRoot_OutputReadOnly()`
`EAttribute` `getMappingRoot_TopToBottom()`
`EClass` `getMappingRoot()`
`EClass` `getMappingStrategy()`
`EClass` `getTypeConverter()`
`static MappingPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static MappingPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `MappingPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getMappingHelper

    public EClass getMappingHelper()

  Specified by:
    `getMappingHelper` in interface `MappingPackage`
  Returns:
    the meta object for class 'Helper'.
  See Also:
    `MappingHelper`

### getMappingHelper_Mapper

    public EReference getMappingHelper_Mapper()

  Specified by:
    `getMappingHelper_Mapper` in interface `MappingPackage`
  Returns:
    the meta object for the container reference 'Mapper'.
  See Also:
    `MappingHelper.getMapper()`, `MappingPackage.getMappingHelper()`

### getMappingHelper_HelpedObject

    public EReference getMappingHelper_HelpedObject()

  Specified by:
    `getMappingHelper_HelpedObject` in interface `MappingPackage`
  Returns:
    the meta object for the reference 'Helped Object'.
  See Also:
    `MappingHelper.getHelpedObject()`, `MappingPackage.getMappingHelper()`

### getMappingHelper_NestedIn

    public EReference getMappingHelper_NestedIn()

  Specified by:
    `getMappingHelper_NestedIn` in interface `MappingPackage`
  Returns:
    the meta object for the container reference 'Nested In'.
  See Also:
    `MappingHelper.getNestedIn()`, `MappingPackage.getMappingHelper()`

### getMappingHelper_Nested

    public EReference getMappingHelper_Nested()

  Specified by:
    `getMappingHelper_Nested` in interface `MappingPackage`
  Returns:
    the meta object for the containment reference list 'Nested'.
  See Also:
    `MappingHelper.getNested()`, `MappingPackage.getMappingHelper()`

### getMapping

    public EClass getMapping()

  Specified by:
    `getMapping` in interface `MappingPackage`
  Returns:
    the meta object for class 'Mapping'.
  See Also:
    `Mapping`

### getMapping_Helper

    public EReference getMapping_Helper()

  Specified by:
    `getMapping_Helper` in interface `MappingPackage`
  Returns:
    the meta object for the containment reference 'Helper'.
  See Also:
    `Mapping.getHelper()`, `MappingPackage.getMapping()`

### getMapping_Nested

    public EReference getMapping_Nested()

  Specified by:
    `getMapping_Nested` in interface `MappingPackage`
  Returns:
    the meta object for the containment reference list 'Nested'.
  See Also:
    `Mapping.getNested()`, `MappingPackage.getMapping()`

### getMapping_NestedIn

    public EReference getMapping_NestedIn()

  Specified by:
    `getMapping_NestedIn` in interface `MappingPackage`
  Returns:
    the meta object for the container reference 'Nested In'.
  See Also:
    `Mapping.getNestedIn()`, `MappingPackage.getMapping()`

### getMapping_Inputs

    public EReference getMapping_Inputs()

  Specified by:
    `getMapping_Inputs` in interface `MappingPackage`
  Returns:
    the meta object for the reference list 'Inputs'.
  See Also:
    `Mapping.getInputs()`, `MappingPackage.getMapping()`

### getMapping_Outputs

    public EReference getMapping_Outputs()

  Specified by:
    `getMapping_Outputs` in interface `MappingPackage`
  Returns:
    the meta object for the reference list 'Outputs'.
  See Also:
    `Mapping.getOutputs()`, `MappingPackage.getMapping()`

### getMapping_TypeMapping

    public EReference getMapping_TypeMapping()

  Specified by:
    `getMapping_TypeMapping` in interface `MappingPackage`
  Returns:
    the meta object for the reference 'Type Mapping'.
  See Also:
    `Mapping.getTypeMapping()`, `MappingPackage.getMapping()`

### getTypeConverter

    public EClass getTypeConverter()

  Specified by:
    `getTypeConverter` in interface `MappingPackage`
  Returns:
    the meta object for class 'Type Converter'.
  See Also:
    `TypeConverter`

### getFunctionPair

    public EClass getFunctionPair()

  Specified by:
    `getFunctionPair` in interface `MappingPackage`
  Returns:
    the meta object for class 'Function Pair'.
  See Also:
    `FunctionPair`

### getFunctionPair_In2out

    public EReference getFunctionPair_In2out()

  Specified by:
    `getFunctionPair_In2out` in interface `MappingPackage`
  Returns:
    the meta object for the reference 'In2out'.
  See Also:
    `FunctionPair.getIn2out()`, `MappingPackage.getFunctionPair()`

### getFunctionPair_Out2in

    public EReference getFunctionPair_Out2in()

  Specified by:
    `getFunctionPair_Out2in` in interface `MappingPackage`
  Returns:
    the meta object for the reference 'Out2in'.
  See Also:
    `FunctionPair.getOut2in()`, `MappingPackage.getFunctionPair()`

### getFunctionNamePair

    public EClass getFunctionNamePair()

  Specified by:
    `getFunctionNamePair` in interface `MappingPackage`
  Returns:
    the meta object for class 'Function Name Pair'.
  See Also:
    `FunctionNamePair`

### getFunctionNamePair_In2out

    public EAttribute getFunctionNamePair_In2out()

  Specified by:
    `getFunctionNamePair_In2out` in interface `MappingPackage`
  Returns:
    the meta object for the attribute 'In2out'.
  See Also:
    `FunctionNamePair.getIn2out()`, `MappingPackage.getFunctionNamePair()`

### getFunctionNamePair_Out2in

    public EAttribute getFunctionNamePair_Out2in()

  Specified by:
    `getFunctionNamePair_Out2in` in interface `MappingPackage`
  Returns:
    the meta object for the attribute 'Out2in'.
  See Also:
    `FunctionNamePair.getOut2in()`, `MappingPackage.getFunctionNamePair()`

### getMappingStrategy

    public EClass getMappingStrategy()

  Specified by:
    `getMappingStrategy` in interface `MappingPackage`
  Returns:
    the meta object for class 'Strategy'.
  See Also:
    `MappingStrategy`

### getMappingRoot

    public EClass getMappingRoot()

  Specified by:
    `getMappingRoot` in interface `MappingPackage`
  Returns:
    the meta object for class 'Root'.
  See Also:
    `MappingRoot`

### getMappingRoot_OutputReadOnly

    public EAttribute getMappingRoot_OutputReadOnly()

  Specified by:
    `getMappingRoot_OutputReadOnly` in interface `MappingPackage`
  Returns:
    the meta object for the attribute 'Output Read Only'.
  See Also:
    `MappingRoot.isOutputReadOnly()`, `MappingPackage.getMappingRoot()`

### getMappingRoot_TopToBottom

    public EAttribute getMappingRoot_TopToBottom()

  Specified by:
    `getMappingRoot_TopToBottom` in interface `MappingPackage`
  Returns:
    the meta object for the attribute 'Top To Bottom'.
  See Also:
    `MappingRoot.isTopToBottom()`, `MappingPackage.getMappingRoot()`

### getMappingRoot_CommandStack

    public EAttribute getMappingRoot_CommandStack()

  Specified by:
    `getMappingRoot_CommandStack` in interface `MappingPackage`
  Returns:
    the meta object for the attribute 'Command Stack'.
  See Also:
    `MappingRoot.getCommandStack()`, `MappingPackage.getMappingRoot()`

### getComplexTypeConverter

    public EClass getComplexTypeConverter()

  Specified by:
    `getComplexTypeConverter` in interface `MappingPackage`
  Returns:
    the meta object for class 'Complex Type Converter'.
  See Also:
    `ComplexTypeConverter`

### getComplexTypeConverter_In2out

    public EReference getComplexTypeConverter_In2out()

  Specified by:
    `getComplexTypeConverter_In2out` in interface `MappingPackage`
  Returns:
    the meta object for the reference 'In2out'.
  See Also:
    `ComplexTypeConverter.getIn2out()`, `MappingPackage.getComplexTypeConverter()`

### getComplexTypeConverter_Out2in

    public EReference getComplexTypeConverter_Out2in()

  Specified by:
    `getComplexTypeConverter_Out2in` in interface `MappingPackage`
  Returns:
    the meta object for the reference 'Out2in'.
  See Also:
    `ComplexTypeConverter.getOut2in()`, `MappingPackage.getComplexTypeConverter()`

### getMappingFactory

    public MappingFactory getMappingFactory()

  Specified by:
    `getMappingFactory` in interface `MappingPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.